org.apache.ignite.internal.management.cache

## Class CacheIdleVerifyCommand

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl<CacheIdleVerifyCommandArg,IdleVerifyResultV2>
  - - org.apache.ignite.internal.management.cache.CacheIdleVerifyCommand

All Implemented Interfaces:
  Command<CacheIdleVerifyCommandArg,IdleVerifyResultV2>, CommandsRegistry<CacheIdleVerifyCommandArg,IdleVerifyResultV2>, ComputeCommand<CacheIdleVerifyCommandArg,IdleVerifyResultV2>

    public class CacheIdleVerifyCommand
    extends CommandRegistryImpl<CacheIdleVerifyCommandArg,IdleVerifyResultV2>
    implements ComputeCommand<CacheIdleVerifyCommandArg,IdleVerifyResultV2>

Checks consistency of primary and backup partitions assuming no concurrent updates are happening in the cluster.

### Field Summary

Fields
`static String` `IDLE_VERIFY_FILE_PREFIX`

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`CacheIdleVerifyCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<CacheIdleVerifyCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult(CacheIdleVerifyCommandArg arg, IdleVerifyResultV2 res, Consumer<String> printer)` Prints command result to the user.
`Class<IdleVerifyTaskV2>` `taskClass()`

### Methods inherited from class org.apache.ignite.internal.management.api.CommandRegistryImpl

`command, commands, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Field Detail

#### IDLE_VERIFY_FILE_PREFIX

    public static final String IDLE_VERIFY_FILE_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### CacheIdleVerifyCommand

    public CacheIdleVerifyCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`
Specified by:
  `description` in interface `CommandsRegistry<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`

#### argClass

    public Class<CacheIdleVerifyCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`
Specified by:
  `argClass` in interface `CommandsRegistry<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`
Returns:
  Arguments class.

#### taskClass

    public Class<IdleVerifyTaskV2> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`
Returns:
  Task class.

#### printResult

    public void printResult(CacheIdleVerifyCommandArg arg,
                            IdleVerifyResultV2 res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<CacheIdleVerifyCommandArg,IdleVerifyResultV2>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023